pydo.registry.update_garbage_collection()

Generated on 8 May 2026 from pydo version v0.34.0

deprecated

Usage

client.registry.update_garbage_collection(
    registry_name="example",
    garbage_collection_uuid="eff0feee-49c7-4e8f-ba5c-a320c109c8a8",
    body={
        "cancel": True,
    },
)
Returns JSONRaises HttpResponseError

Description

Note: This endpoint is deprecated. Please use the /v2/registries endpoint instead.

To cancel the currently-active garbage collection for a registry, send a PUT request to /v2/registry/{registry_name}/garbage-collection/{garbage_collection_uuid} and specify one or more of the attributes below.

Parameters

registry_name string required

The name of a container registry.

garbage_collection_uuid string required

The UUID of a garbage collection run.

cancel boolean optional

Example: True

A boolean value indicating that the garbage collection should be cancelled.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.registry.run_garbage_collection(registry_name="example")

Response Example

Show Response Example
{
  "garbage_collection": {
    "uuid": "eff0feee-49c7-4e8f-ba5c-a320c109c8a8",
    "registry_name": "example",
    "status": "requested",
    "created_at": "2020-10-30T21:03:24Z",
    "updated_at": "2020-10-30T21:03:44Z",
    "blobs_deleted": 42,
    "freed_bytes": 667
  }
}

More Information

See /v2/registry/{registry_name}/garbage-collection/{garbage_collection_uuid} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.